Data Download

As with the Contexts resource, you must authenticate these resources with the provided session token and you will receive an HTTP redirect. You must not then supply the Authorization header on the subsequent call to the redirected host. If you do so, you will receive 401 unauthorized.

NOTE: Please be aware that some HTTP clients implement this incorrect behavior by default, including curl older than 7.58.

Each resource in this section will return a time-limited URL which redirects to a compressed csv.gz file download. The redirect URL will be valid for only 15 minutes. You should not cache this URL as it will change constantly. This URL will be supplied in the Location header on the HTTP response, in the form of a 302 redirect.

NOTE: even though client_id is passed in the url, you will still need to ensure that you have activated the correct context for the client_id through the Switch Context resource in the previous section.

GET Members

https://dl.community.com/download/v1/files/{{client_id}}/members.csv.gz

Download a gzip csv of Members for the Leader (client_id).

Headers

Authorization: Bearer <token>

Body

None

Example Request

curl --location --request GET 'https://dl.community.com/download/v1/files/{{client_id}}/members.csv.gz' \
--header 'Authorization: Bearer {{token_id}}'

Example Response

"MEMBER_ID","LEADER_ID","SUBSCRIPTION_STATE","FIRST_NAME","LAST_NAME","EMAIL","DATE_OF_BIRTH","GENDER","CITY","STATE","STATE_CODE","COUNTRY","COUNTRY_CODE","DEVICE_TYPE","FIRST_ACTIVATED_AT"
"c48820cc-e386-495d-9ec1-79367feea221","de7f5827-b421-4404-9843-b1b56b956602","deleted",,,,,,,,,,,,
"323c40c9-c8c4-4cc4-933a-cd727e1a92eb","de7f5827-b421-4404-9843-b1b56b956602","deleted",,,,,,,,,,,,
"f48725d2-3b8c-4433-a693-b725a6307233","de7f5827-b421-4404-9843-b1b56b956602","deleted",,,,,,,,,,,,

GET Campaigns

https://dl.community.com/download/v1/files/{{client_id}}/campaigns.csv.gz

Download a gzip csv of Campaigns for the Leader (client_id).

Headers

Authorization: Bearer <token>

Body

None

Example Request

curl --location --request GET 'https://dl.community.com/download/v1/files/{{client_id}}/campaigns.csv.gz' \
--header 'Authorization: Bearer {{token_id}}'

Example Response

"CAMPAIGN_ID","LEADER_ID","SENT_AT","TEXT","MEDIA_URL","IS_SCHEDULED","IS_FILTERED","RECIPIENT_COUNT","RESPONSE_COUNT","REPLIED_COUNT","STOP_COUNT"
"9357eaf1-6f5e-4656-8a42-cc18d297726b","de7f5827-b421-4404-9843-b1b56b956602","2021-04-02T16:52:16.720733Z","I don't know about you but my back has been aching working from home lately, can you recommend some low impact stretches/workouts/home remedies to try?",,false,false,39,7,0,0

GET Campaign Links

https://dl.community.com/download/v1/files/{{client_id}}/campaigns.csv.gz

Download a gzip csv summary of Campaigns that contained links, for the Leader (client_id).

Headers

Authorization: Bearer <token>

Body

None

Example Request

curl --location --request GET 'https://dl.community.com/download/v1/files/{{client_id}}/campaign_links.csv.gz' \
--header 'Authorization: Bearer {{token_id}}'

Example Response

"CAMPAIGN_ID","LEADER_ID","LINK_TYPE","LINK_URL","RECIPIENT_COUNT","HIT_COUNT"
"b0e74a38-52e0-414f-af99-3c448078aa3d","de7f5827-b421-4404-9843-b1b56b956602","media","https://media.community.com/i/de7f5827-b421-4404-9843-b1b56b956602/5da3a23d-d402-4c76-82d4-8717978f9691.gif",16,8
"7f7c2ef3-9441-4879-8ac1-354959c10e94","de7f5827-b421-4404-9843-b1b56b956602","body","https://media.giphy.com/media/lNByEO1uTbVAikv8oT/giphy.mp4",13,7

GET Communities

https://dl.community.com/download/v1/files/{{client_id}}/communities.csv.gz

Download a gzip csv summary of Communities (community_id) and their current member counts, for the Leader (client_id).

Headers

Authorization: Bearer <token>

Body

None

Example Request

curl --location --request GET 'https://dl.community.com/download/v1/files/{{client_id}}/communities.csv.gz' \
--header 'Authorization: Bearer {{token_id}}'

GET Member Communities

https://dl.community.com/download/v1/files/{{client_id}}/member_communities.csv.gz

Download a gzip csv of Members (member_id) and any Communities (community_id) that they current belong to. The timestamp the member first joined a Community is also provided.

Headers

Authorization: Bearer <token>

Body

None

Example Request

curl --location --request GET 'https://dl.community.com/download/v1/files/{{client_id}}/member_communities.csv.gz' \
--header 'Authorization: Bearer {{token_id}}'